Categories:
  - Reading
  - Writing
License: MIT
WebSite: http://app.fragdenstaat.de/
SourceCode: https://github.com/jfilter/frag-den-staat-app
IssueTracker: https://github.com/jfilter/frag-den-staat-app/issues

AutoName: FragDenStaat
Description: |-
    This app is for FragDenStaat.de, a platform to simplify the process of sending
    and managing FOI requests to German public bodies.

    The app should include the basic functionalities of the website such as browsing
    through requests, searching, and creating new requests.

RepoType: git
Repo: https://github.com/jfilter/frag-den-staat-app.git

Builds:
  - versionName: 0.8.1
    versionCode: 23
    commit: v0.8.1
    subdir: android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.11.1/node-v8.11.1-linux-x64.tar.xz
      - echo "6617e245fa0f7fbe0e373e71d543fea878315324ab31dc64b4eba10e42d04c11 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.11.1-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - npm install
      - truncate -s 0 ../../node_modules/react-native/local-cli/server/util/external/xsel
      - rm ../../node_modules/react-native/ReactAndroid/src/main/third-party/java/infer-annotations/infer-annotations-4.0.jar
        ../../node_modules/react-native/ReactAndroid/src/main/third-party/java/buck-android-support/buck-android-support.jar
    scanignore:
      - android/build.gradle
    scandelete:
      - node_modules

  - versionName: 0.10.5
    versionCode: 37
    commit: v0.10.5
    subdir: android/app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t stretch-backports npm
      - npm -g install yarn react-native-cli
    init:
      - yarn install
      - pushd ../../
      - ./prepare_fdroid.sh
      - popd
    gradle:
      - yes
    srclibs:
      - transistor-background-fetch@0.3.0
    rm:
      - node_modules/react-native/ReactAndroid/src/main/third-party/java/buck-android-support/buck-android-support.jar
      - node_modules/shaka-player/third_party/closure/compiler.jar
      - node_modules/react-native-background-fetch/android/build/
      - node_modules/react-native-video/android-exoplayer/build/
      - node_modules/react-native-background-fetch/android/libs/com/transistorsoft/tsbackgroundfetch/0.2.0/tsbackgroundfetch-0.2.0.aar
    prebuild: truncate -s 0 ../../node_modules/@react-native-community/cli/build/commands/server/external/xsel
    scanignore:
      - android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-background-fetch/android/build.gradle
    scandelete:
      - node_modules
    build:
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/intermediates/packaged-classes/release/classes.jar
        ../../node_modules/react-native-background-fetch/android/libs/com/transistorsoft/tsbackgroundfetch/0.2.0/tsbackgroundfetch-0.2.0.jar

  - versionName: 0.10.8
    versionCode: 40
    commit: v0.10.8
    subdir: android/app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t stretch-backports npm
      - npm -g install yarn react-native-cli
    init:
      - yarn install
      - pushd ../../
      - ./prepare_fdroid.sh
      - popd
    gradle:
      - yes
    srclibs:
      - transistor-background-fetch@0.3.0
    rm:
      - node_modules/react-native/ReactAndroid/src/main/third-party/java/buck-android-support/buck-android-support.jar
      - node_modules/shaka-player/third_party/closure/compiler.jar
      - node_modules/react-native-background-fetch/android/build/
      - node_modules/react-native-video/android-exoplayer/build/
      - node_modules/react-native-background-fetch/android/libs/com/transistorsoft/tsbackgroundfetch/0.2.0/tsbackgroundfetch-0.2.0.aar
    prebuild: truncate -s 0 ../../node_modules/@react-native-community/cli/build/commands/server/external/xsel
    scanignore:
      - android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-background-fetch/android/build.gradle
    scandelete:
      - node_modules
    build:
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/intermediates/packaged-classes/release/classes.jar
        ../../node_modules/react-native-background-fetch/android/libs/com/transistorsoft/tsbackgroundfetch/0.2.0/tsbackgroundfetch-0.2.0.jar

  - versionName: 0.10.9
    versionCode: 41
    commit: v0.10.9
    subdir: android/app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t stretch-backports npm
      - npm -g install yarn react-native-cli
    init:
      - yarn install
      - pushd ../../
      - ./prepare_fdroid.sh
      - popd
    gradle:
      - yes
    srclibs:
      - transistor-background-fetch@0.3.0
    rm:
      - node_modules/react-native/ReactAndroid/src/main/third-party/java/buck-android-support/buck-android-support.jar
      - node_modules/shaka-player/third_party/closure/compiler.jar
      - node_modules/react-native-background-fetch/android/build/
      - node_modules/react-native-video/android-exoplayer/build/
      - node_modules/react-native-background-fetch/android/libs/com/transistorsoft/tsbackgroundfetch/0.2.0/tsbackgroundfetch-0.2.0.aar
    prebuild: truncate -s 0 ../../node_modules/@react-native-community/cli/build/commands/server/external/xsel
    scanignore:
      - android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-background-fetch/android/build.gradle
    scandelete:
      - node_modules
    build:
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/intermediates/packaged-classes/release/classes.jar
        ../../node_modules/react-native-background-fetch/android/libs/com/transistorsoft/tsbackgroundfetch/0.2.0/tsbackgroundfetch-0.2.0.jar

  - versionName: 0.10.10
    versionCode: 42
    commit: v0.10.10
    subdir: android/app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t stretch-backports npm
      - npm -g install yarn react-native-cli
    init:
      - yarn install
      - pushd ../../
      - ./prepare_fdroid.sh
      - popd
    gradle:
      - yes
    srclibs:
      - transistor-background-fetch@0.3.0
    rm:
      - node_modules/react-native/ReactAndroid/src/main/third-party/java/buck-android-support/buck-android-support.jar
      - node_modules/shaka-player/third_party/closure/compiler.jar
      - node_modules/react-native-background-fetch/android/build/
      - node_modules/react-native-video/android-exoplayer/build/
      - node_modules/react-native-background-fetch/android/libs/com/transistorsoft/tsbackgroundfetch/0.2.0/tsbackgroundfetch-0.2.0.aar
    prebuild: truncate -s 0 ../../node_modules/@react-native-community/cli/build/commands/server/external/xsel
    scanignore:
      - android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-background-fetch/android/build.gradle
    scandelete:
      - node_modules
    build:
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/intermediates/packaged-classes/release/classes.jar
        ../../node_modules/react-native-background-fetch/android/libs/com/transistorsoft/tsbackgroundfetch/0.2.0/tsbackgroundfetch-0.2.0.jar

MaintainerNotes: scanignore is used to allow the "node_modules/react-native/android"
    local Maven repository which contains the prebuilt react-native library which
    we get from npm.

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 0.10.10
CurrentVersionCode: 42
